##
##  sdkig.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_sdkig      1.1.1
%define       V_sdkig_snap 20220326

#   package information
Name:         sdkig
Summary:      Stream-Deck Key-Image Generator (SDKIG)
URL:          https://github.com/rse/sdkig
Vendor:       Dr. Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      MIT
Version:      %{V_sdkig}
Release:      20220326

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/sdkig/sdkig-%{V_sdkig}-%{V_sdkig_snap}.tar.gz
Source1:      sdkig.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node, prince, poppler

%description
    SDKIG is a small utility for generating key images for Elgato
    Stream Deck devices. The key images are generated with a size of
    288x288 pixels (similar to the official online Key Creator, although
    the device seems to downscale them to just 72x72 pixels) and are
    rendered with the combination of a prominent centered FontAwesome
    icon and a small TypoPRO Source Sans Pro based title at the bottom.
    The colors of the background, the icon and the title can be choosen
    through arbitrary RGB values.

%track
    prog sdkig = {
        version   = %{V_sdkig}-%{V_sdkig_snap}
        url       = http://download.openpkg.org/components/versioned/sdkig/
        regex     = sdkig-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/sdkig
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE sdkig.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/sdkig
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/sdkig/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

